Alokai

SapccApiValidateCartRequest

Request parameters for validateCart operation in SapccApi. SapccApiValidateCartRequest

interface SapccApiValidateCartRequest {
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly fields?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier. {string} SapccApiValidateCart
cartIdRequiredstringCart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiValidateCart
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiValidateCart
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user. {string} SapccApiValidateCart

On this page